## org.codehaus.groovy.grails.web.servlet.mvc.exceptions
Class IncompatibleParameterCountException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.web.servlet.mvc.exceptions.GrailsMVCException
                          org.codehaus.groovy.grails.web.servlet.mvc.exceptions.IncompatibleParameterCountException

All Implemented Interfaces:
  Serializable

    public class IncompatibleParameterCountException

extends GrailsMVCException

Thrown when a closure has an incompatible parameter count for a controller implementation.

Since:
  Jul 2, 2005
Author:
  Steven Devijver
See Also:
  Serialized Form

Constructor Summary
`IncompatibleParameterCountException()`
`IncompatibleParameterCountException(String arg0)`
`IncompatibleParameterCountException(String arg0, Throwable arg1)`
`IncompatibleParameterCountException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncompatibleParameterCountException

    public IncompatibleParameterCountException()

### IncompatibleParameterCountException

    public IncompatibleParameterCountException(String arg0)

### IncompatibleParameterCountException

    public IncompatibleParameterCountException(String arg0,
                                               Throwable arg1)

### IncompatibleParameterCountException

    public IncompatibleParameterCountException(Throwable arg0)

Copyright (c) 2005-2009 The Grails project